Package wx :: Package lib :: Package agw :: Module flatmenu :: Class FlatMenuButton

[frames | no frames]

## Class FlatMenuButton

A nice small class that functions like wx.BitmapButton, the reason I did not used BitmapButton is that on Linux, it has some extra margins that I can't seem to be able to remove.

Method Summary
| ``__init__`(self, menu, up, normalBmp, disabledBmp)` Default class constructor.
| ``__del__`(self)` Used internally.
| ``Contains`(self, pt)` Used internally.
| ``Draw`(self, dc)` Draws self at rect using dc.
| ``GetClientRect`(self)` Returns the client rect for FlatMenuButton.
| ``GetTimer`(self)` Returns the timer object.
| ``GetTimerId`(self)` Returns the timer object ID.
| ``Move`(self, input1, input2)` Moves FlatMenuButton to the specified position.
| ``ProcessLeftDown`(self, pt)` Handles left down mouse events.
| ``ProcessLeftUp`(self, pt)` Handles left up mouse events.
| ``ProcessMouseMove`(self, pt)` Handles mouse move events.
| ``SetSize`(self, input1, input2)` Sets the size for FlatMenuButton.

Method Details

### __init__(self, menu, up, normalBmp, disabledBmp=<wx._gdi.Bitmap; proxy of <Swig Object of type 'wxBitmap ...)
(Constructor)

Default class constructor.

Parameters:

### __del__(self)
(Destructor)

Used internally.

### Contains(self, pt)

Used internally.

### Draw(self, dc)

Draws self at rect using dc.

### GetClientRect(self)

Returns the client rect for FlatMenuButton.

### GetTimer(self)

Returns the timer object.

### GetTimerId(self)

Returns the timer object ID.

### Move(self, input1, input2=None)

Moves FlatMenuButton to the specified position.

### ProcessLeftDown(self, pt)

Handles left down mouse events.

### ProcessLeftUp(self, pt)

Handles left up mouse events.

### ProcessMouseMove(self, pt)

Handles mouse move events.

### SetSize(self, input1, input2=None)

Sets the size for FlatMenuButton.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:19 2009 | http://epydoc.sf.net